#!perl -w
#################################################################################
#
#  Licensed Materials - Property of IBM
#  Restricted Material of IBM
#  IBM Rational Test RealTime
#  (c) Copyright IBM Corp. 2008-2009 All Rights Reserved.
#
#  US Governement Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#################################################################################

##########################################################################
#                                                                        # #
# Rational Test RealTime                                                 #   #
#                                                                        #######
#                 -*-  studio report launcher for Rhapsody -*-                 #
#                                                                              #
#                                                                              #
################################################################################

#$Id: RhapTestRTreport.pl,v 1.3.2.2 2009/07/20 13:06:10 rfrance Exp $
die "Environment variable TESTRTDIR not found. Exiting.\n\n" if(!defined($ENV{'TESTRTDIR'})); # NO TRANSLATION
$TESTRTDIR="$ENV{'TESTRTDIR'}";
$SCRIPTDIR="$TESTRTDIR/lib/scripts/";

################################################################################
# useful for stdout/stderr direct viewing inside 'console' of studio window
# (better: we have stdout/stderr lines in right order and not stder before stdout
use FileHandle ;
use File::Path;
STDOUT->autoflush(1);
STDERR->autoflush(1);

my $clean='';
$clean='-clean' if(scalar(grep(/^-cleanAll/i,@ARGV)));

$RHAP_CONF_PATH='.';
die "TestRT-Rhapsody plugin not installed\n" unless(-f $SCRIPTDIR.'RhapTestRT.pl');
unlink("RhapConf.pl");
#print "RhapConf.exe $clean > RhapConf.pl\n";
my $ret = system("RhapConf.exe $clean > RhapConf.pl");
unless((-s "RhapConf.pl") >0) {
	unlink("RhapConf.pl");
	die "TestRT-Rhapsody plugin unable to connect ot UI or not properly installed\n" ;
}
require "RhapConf.pl";

# directory for TestRT static files
chdir($RHAP_CONF_PATH);

require $SCRIPTDIR."studioreport.pl";

1;